diff --git a/gnu/local.mk b/gnu/local.mk
index caa73d44d4..a4752fc7d8 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -161,6 +161,7 @@ GNU_SYSTEM_MODULES =				\
   %D%/packages/docbook.scm			\
   %D%/packages/docker.scm			\
   %D%/packages/documentation.scm		\
+  %D%/packages/drawing.scm			\
   %D%/packages/drones.scm			\
   %D%/packages/dunst.scm			\
   %D%/packages/dvtm.scm				\
diff --git a/gnu/packages/drawing.scm b/gnu/packages/drawing.scm
new file mode 100644
index 0000000000..8aec7e7e2f
--- /dev/null
+++ b/gnu/packages/drawing.scm
@@ -0,0 +1,55 @@
+;;; GNU Guix --- Functional package management for GNU
+;;; Copyright © 2020 L  p R n  d n <guix@lprndn.info>
+;;;
+;;; This file is part of GNU Guix.
+;;;
+;;; GNU Guix is free software; you can redistribute it and/or modify it
+;;; under the terms of the GNU General Public License as published by
+;;; the Free Software Foundation; either version 3 of the License, or (at
+;;; your option) any later version.
+;;;
+;;; GNU Guix is distributed in the hope that it will be useful, but
+;;; WITHOUT ANY WARRANTY; without even the implied warranty of
+;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;;; GNU General Public License for more details.
+;;;
+;;; You should have received a copy of the GNU General Public License
+;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
+
+(define-module (gnu packages drawing)
+  #:use-module (guix packages)
+  #:use-module (guix download)
+  #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix build-system gnu)
+  #:use-module (gnu packages)
+  #:use-module (gnu packages glib)
+  #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages web))
+
+(define-public libmypaint
+  (package
+   (name "libmypaint")
+   (version "1.5.1")
+   (source (origin
+            (method url-fetch)
+            (uri (string-append "https://github.com/mypaint/libmypaint/"
+                                "releases/download/v" version "/libmypaint-"
+                                version ".tar.xz"))
+            (sha256
+             (base32
+              "0aqcv4fyscpfhknxgfpq0v84aj2nzigqvpi4zgv2zkl41h51by5f"))))
+   (build-system gnu-build-system)
+   (native-inputs
+    `(("intltool" ,intltool)
+      ("pkg-config" ,pkg-config)))
+   ;; As needed by 'libmypaint.pc'.
+   (propagated-inputs
+    `(("json-c" ,json-c)
+      ("gobject-introspection" ,gobject-introspection)))
+   (inputs
+    `(("glib" ,glib)))
+   (synopsis "Artistic brushes library")
+   (description "Libmypaint, also called \"brushlib\", is a library for making
+brushstrokes which is used by MyPaint and GIMP.")
+   (home-page "http://mypaint.org")
+   (license license:isc)))
diff --git a/gnu/packages/gimp.scm b/gnu/packages/gimp.scm
index fcf613423c..0d9b2ec023 100644
--- a/gnu/packages/gimp.scm
+++ b/gnu/packages/gimp.scm
@@ -43,6 +43,7 @@
   #:use-module (gnu packages xml)
   #:use-module (gnu packages pdf)
   #:use-module (gnu packages photo)
+  #:use-module (gnu packages drawing)
   #:use-module (gnu packages python)
   #:use-module (gnu packages web)
   #:use-module (gnu packages xorg))
@@ -264,34 +265,6 @@ can draw or apply filters in fourier space and get the modified image with an
 inverse fourier transform.")
     (license license:gpl3+)))
 
-(define-public libmypaint
-  (package
-    (name "libmypaint")
-    (version "1.3.0")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append "https://github.com/mypaint/libmypaint/"
-                                  "releases/download/v" version "/libmypaint-"
-                                  version ".tar.xz"))
-              (sha256
-               (base32
-                "0wd6jk69vmhsq1mdw96v0fh7b28n3glkr5ca466zcq7agzaxj1va"))))
-    (build-system gnu-build-system)
-    (native-inputs
-     `(("intltool" ,intltool)
-       ("pkg-config" ,pkg-config)))
-    ;; As needed by 'libmypaint.pc'.
-    (propagated-inputs
-     `(("json-c" ,json-c)
-       ("gobject-introspection" ,gobject-introspection)))
-    (inputs
-     `(("glib" ,glib)))
-    (synopsis "Artistic brushes library")
-    (description "Libmypaint, also called \"brushlib\", is a library for making
-brushstrokes which is used by MyPaint and GIMP.")
-    (home-page "http://mypaint.org")
-    (license license:isc)))
-
 (define-public mypaint-brushes
   (package
     (name "mypaint-brushes")